
from composite_field.rest_framework_support import CompositeFieldSerializer
from rest_framework import serializers


from imagedb.models import Instrument, NispDetector, NispRawFrame

class InstrumentSerializer(serializers.ModelSerializer):
  class Meta:
    model = Instrument
    fields = '__all__'
    
class NispDetectorSerializer(serializers.ModelSerializer):
  class Meta:
    model = NispDetector
    exclude = ('rawFrame',)
    
class NispRawFrameSerializer(serializers.ModelSerializer):
  detectors = NispDetectorSerializer(many = True, read_only = True)
  commandedPointing = CompositeFieldSerializer()
  imageType = CompositeFieldSerializer()

  class Meta:
    model = NispRawFrame
    exclude = ('commandedPointing_rightAscension',
               'commandedPointing_declination',
               'commandedPointing_pointingAngle',
               'imageType_category',
               'imageType_firstType',
               'imageType_secondType')
    depth = 2
    
    
