
from rest_framework import viewsets
from imagedb.serializers import InstrumentSerializer, NispDetectorSerializer, NispRawFrameSerializer
from imagedb.models import Instrument, NispDetector, NispRawFrame
from url_filter.filtersets import ModelFilterSet


class InstrumentViewSet(viewsets.ReadOnlyModelViewSet):
  queryset = Instrument.objects.all()
  serializer_class = InstrumentSerializer
  
class NispDetectorViewSet(viewsets.ReadOnlyModelViewSet):
  queryset = NispDetector.objects.all()
  serializer_class = NispDetectorSerializer



class NispRawFrameFilterSet(ModelFilterSet):
  class Meta:
    model = NispRawFrame
    fields = ['id','imageType_category']
  
class NispRawFrameViewSet(viewsets.ReadOnlyModelViewSet):
  queryset = NispRawFrame.objects.all()
  serializer_class = NispRawFrameSerializer
  filter_class = NispRawFrameFilterSet
  



